//
//  WDWebObjectDelegate.swift
//  
//
//  Created by Danny on 2022/2/4.
//

import WebKit


public protocol WDWebObjectDelegate {
    /// Gets called when `func webView(_ webView: WKWebView, didFinish navigation: WKNavigation!)` is called.
    /// - Parameter evaluateJavaScript: the string value return value from JavaScript
    func webView(_ webView: WKWebView, didFinishEvaluateJavaScript result: String)
    
    /// Gets called when `webView.evaluateJavaScript(script)` passed an error.
    /// - Parameter javaScriptError: the error message generated by webView.
    func webView(_ webView: WKWebView, didFailEvaluateJavaScript error: String)
}
